Package org.apache.torque

## Class DeadlockException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.sql.SQLException
      - - org.apache.torque.TorqueException
        - - org.apache.torque.DeadlockException

- All Implemented Interfaces:
    `Serializable`, `Iterable<Throwable>`

      public class DeadlockException
      extends TorqueException

  This exception is thrown if the database detects a deadlock.
  Version:
    $Id: DeadlockException.java 1448414 2013-02-20 21:06:35Z tfischer $
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DeadlockException​(String msg, Throwable nested)` | Constructs a new `DeadlockException` with specified detail message and nested `Throwable`.
    `DeadlockException​(Throwable nested)` | Constructs a new `DeadlockException` with specified nested `Throwable`.

  - ### Method Summary

    - ### Methods inherited from class java.sql.SQLException

      `getErrorCode, getNextException, getSQLState, iterator, setNextException`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Constructor Detail

    - #### DeadlockException

          public DeadlockException​(Throwable nested)

      Constructs a new `DeadlockException` with specified nested `Throwable`.
      Parameters:
        `nested` - the exception or error that caused this exception to be thrown.

    - #### DeadlockException

          public DeadlockException​(String msg,
                                   Throwable nested)

      Constructs a new `DeadlockException` with specified detail message and nested `Throwable`.
      Parameters:
        `msg` - the error message.
        `nested` - the exception or error that caused this exception to be thrown.